/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package so.winwebdocentes.DAO;

import so.winwebdocentes.sqlserverDAO.SqlServerDAOFactory;

/**
 *
 * @author Felipe Escala
 */
public abstract class DAOFactory {

	public static final int SQLSERVER = 1;
	public static final int MYSQL = 2;

	public static DAOFactory getDAOFactory(int Motor_Base) {
		switch (Motor_Base) {
			case SQLSERVER:
				return new SqlServerDAOFactory();
			default:
				return null;
		}
	}

	public abstract DocenteDAO getDocenteDAO();

	public abstract BaseOpcionDAO getBaseOpcionDAO();

	public abstract AsistenciaDAO getAsistenciaDAO();

	public abstract ReporteAsistProfesoresPorAnioDAO getReporteAsistProfesoresPorAnioDAO();

	public abstract ReporteAsistProfesoresPorMesDAO getReporteAsistProfesoresPorMesDAO();
}
