/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package so.winwebdocentes.services;

import org.json.JSONObject;
import so.winwebdocentes.DAO.BaseOpcionDAO;
import so.winwebdocentes.DAO.DAOFactory;

/**
 *
 * @author Felipe Escala
 */
public class DatabaseService {

	DAOFactory factory = DAOFactory.getDAOFactory(DAOFactory.SQLSERVER);
	BaseOpcionDAO dao = factory.getBaseOpcionDAO();

	public JSONObject listarAniosDB(JSONObject datos) {
		JSONObject obj = null;
		try {
			obj = dao.listarAniosDB(datos);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return obj;
	}

	public JSONObject listarMesesActivos(JSONObject datos) {
		JSONObject obj = null;
		try {
			obj = dao.listarMesesActivos(datos);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return obj;
	}

}
