<%-- 
Document   : reporteGlobal
Created on : 11-oct-2018, 15:51:45
Author     : Felipe Escala
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html lang="es">
  <head>
    <%@include file="templates/header.jsp" %>
    <!--template-core-->

    <!--css-->
    <link href="../css/general.css" rel="stylesheet" type="text/css"/>
    <!--css-->
  </head>
  <body>
    <%@include file="templates/header-body.jsp" %>
    <!--  content -->
    <div class="row">
      <div class="col-sm-12 col-md-12 col-md-5 col-centered">                
        <div class="panel panel-primary card-3" style="margin-top: 30px"> 
          <div class="panel-heading" style="padding: 8px 15px">
            <h6 class="panel-title" style="font-size: 15px; font-family: inherit"><i class="icon icon-search4"></i>&nbsp; BÚSQUEDAS DEL DOCENTE</h6>
            <div class="heading-elements">
              <ul class="icons-list">
                <li><a data-action="collapse"></a></li>
              </ul>
            </div>
          </div>
          <div class="panel-body" id="panelSearch">
            <form id="frmBusqRequ" onsubmit="return false" autocomplete="off">
              <div class="row">                
                <div class="col-md-6 clTipo">
                  <div class="form-group">
                    <label><b>TIPO DE REPORTE: </b></label>
                    <select class="form-control" id="tipoReporte" name="tipoReporte">                      
                      <option value="1">Asistencias</option>
                      <option value="2">Descuentos</option>
                    </select>
                  </div>
                </div>               
                <div class="col-md-6 clTiempo">
                  <div class="form-group">
                    <label><b>RANGO DE TIEMPO: </b></label>
                    <select class="form-control" id="cboTiempo" name="cboTiempo">
                      <option value="2">Mensual</option>
                      <option value="1">Anual</option>
                    </select>
                  </div>
                </div>               
                <div class="col-md-6 clAnio">
                  <div class="form-group">
                    <label><b>AÑO: </b></label>
                    <select class="form-control" id="cboAnio" name="cboAnio">
                    </select>
                  </div>
                </div>               
                <div class="col-md-6 clMes">
                  <div class="form-group">
                    <label><b>MES: </b></label>
                    <select class="form-control" id="cboMes" name="cboMes"> 
                    </select>
                  </div>
                </div>               
                <div class="col-md-12">
                  <div class="form-group">
                    <div class="text-right"> 
                      <span class="text-danger">(*) </span>  Campo obligatorio
                    </div>
                  </div>
                </div>
                <div class="col-md-12">
                  <div class="text-right">
                    <button class="btn bg-success border-success-600 btn-xs" type="button" id="btnGenerar"><i class="fa fa-file-excel-o"></i> &nbsp;GENERAR</button>
                  </div>
                </div>
              </div>              
            </form>
          </div>
        </div> 
      </div>

    </div>
    <!-- / content -->
    <%@include file="templates/footer-body.jsp" %>
    <script src="../plantilla/assets/js/plugins/forms/selects/select2.min.js" type="text/javascript"></script>
    <script src="../js/pages/reporteGlobal.js" type="text/javascript"></script>
  </body>
</html>
