<%-- 
    Document   : reporteAsistenciasPorRS
    Created on : 11-oct-2018, 10:09:35
    Author     : Felipe Escala
--%>

<%@page import="java.util.Date"%>
<%@page import="java.text.SimpleDateFormat"%>
<%@page import="java.text.DateFormat"%>
<%@page import="org.json.JSONArray"%>
<%@page import="java.sql.Timestamp"%>
<%@page import="so.winwebdocentes.services.AsistenciaService"%>
<%@page import="org.json.JSONObject"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  </head>
  <body>
    <%
      String json = request.getParameter("filters");
      String datos = request.getParameter("docente");
      String estilo = "";
      int conta = 0;
      JSONObject param = new JSONObject(json);
      JSONObject docente = new JSONObject(datos);
      JSONObject jReturn = new JSONObject();
      JSONArray listaAsistencias = new JSONArray();
      String[] monthName = {"ENERO", "FEBRERO", "MARZO", "ABRIL", "MAYO", "JUNIO", "JULIO", "AGOSTO", "SEPTIEMBRE", "OCTUBRE", "NOVIEMBRE", "DICIEMBRE"};
      Timestamp timestamp = new Timestamp(System.currentTimeMillis());
      Date date = new Date();
      DateFormat hourdateFormat = new SimpleDateFormat("dd/MM/yyyy HH:mm:ss");
      response.setContentType("application/vnd.ms-excel");
      response.setHeader("Content-Disposition", "inline; filename=ReporteAsistencias" + timestamp.getTime() + ".xls");
      AsistenciaService service = new AsistenciaService();
      jReturn = service.listarAsistencias(param.put("export", "Yes"));
      listaAsistencias = jReturn.getJSONArray("listaAsis");
    %>
    <table>
      <thead>
        <tr>
          <th colspan="16" style="font-size: 18px; background-color: #002060; color: #FFF; font-weight: bold;">
            REPORTE DE ASISTENCIAS Y DESCUENTOS (<%= param.getString("year") + " /" + monthName[param.getInt("mesAsistencia") - 1]%>)
          </th>
        </tr>
      </thead>
    </table>

    <table>
      <tr>
        <td style="text-align: left; font-size: 15px; font-weight: bold">APELLIDOS:</td>
        <td style="text-align: left; font-size: 15px;"><%= docente.getString("apellidoProfesor")%></td>
      </tr>
      <tr>
        <td style="text-align: left; font-size: 15px; font-weight: bold">NOMBRES:</td>
        <td style="text-align: left; font-size: 15px;"><%= docente.getString("nombreProfesor")%></td>
      </tr>
      <tr>
        <td style="text-align: left; font-size: 15px; font-weight: bold">DNI:</td>
        <td style="text-align: left; font-size: 15px; mso-number-format:'\@' "><%= docente.getString("dniProfesor") + ""%></td>
      </tr>
      <tr>
        <td style="text-align: left; font-size: 15px; font-weight: bold">FECHA DE REPORTE:</td>
        <td style="text-align: left; font-size: 15px;"><%= hourdateFormat.format(date)%></td>
      </tr>
    </table>

    <br>

    <table border="1" align="center">
      <thead>
        <tr style="text-align: center; font-size: 15px; background-color: #305496; color: #FFF; font-weight: bold;">
          <th class="text-center">RAZON SOCIAL</th>
          <th class="text-center">LOCAL</th>
          <th class="text-center">CANT MINTS</th>
          <th class="text-center">HORAS/MINUTOS</th>
          <th class="text-center">MONTO</th>
          <th class="text-center">SECCION</th>
          <th class="text-center">COSTO HORA</th>
        </tr>
      </thead>
      <tbody>
        <%
          for (int i = 0; i < listaAsistencias.length(); i++) {
            JSONObject obj = listaAsistencias.getJSONObject(i);
            if (obj.getInt("codigoRS") == 1) {
              estilo = "background-color: '#ffc560';";
            } else if (obj.getInt("codigoRS") == 8) {
              estilo = "background-color: '#60d7ff';";
            } else if (obj.getInt("codigoRS") == 2) {
              estilo = "background-color: '#a7b5ce';";
            }
        %>
        <tr>
          <td align="center" style="<%=estilo%>"><%=obj.getString("nombreRS")%></td>
          <td align="center" style="<%=estilo%>"><%=obj.getString("sede")%></td>
          <td align="center" style="<%=estilo%>"><%=obj.getInt("minutosLaboro")%></td>
          <td align="center" style="<%=estilo%>"><%=obj.getString("horasLaboro")%></td>
          <td align="center" style="<%=estilo%>"><%=obj.getString("montoLaboro")%></td>
          <td align="center" style="<%=estilo%>"><%=obj.getString("seccion")%></td>
          <td align="center" style="<%=estilo%>"><%=obj.getString("costoSeccion")%></td>
        </tr>
        <%
            conta += obj.getInt("minutosLaboro");
          }%>
      </tbody>
    </table>
    <table>
      <tr>
        <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <td style="text-align: center; font-size: 15px; background-color: #1F4E78; color: #FFF; font-weight: bold;"><%= (conta / 60) + " H " + ": " + (conta % 60) + " M "%></td>
      </tr>
      <tr>
        <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <td style="text-align: center; font-size: 15px; background-color: #1F4E78; color: #FFF;">TOTAL ASIST:</td>
        <td style="text-align: center; font-size: 15px; background-color: #1F4E78; color: #FFF;"><%= jReturn.getString("contaAsis")%></td>
      </tr>
      <tr>
        <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <td style="text-align: center; font-size: 15px; background-color: #1F4E78; color: #FFF;">TOTAL DSCTO:</td>
        <td style="text-align: center; font-size: 15px; background-color: #1F4E78; color: #FFF;"><%= jReturn.has("contaDesc") ? jReturn.getString("contaDesc") : "0.00"%></td>
      </tr>
      <tr>
        <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <td style="text-align: center; font-size: 15px; background-color: #002060; color: #FFF; font-weight: bold;">NETO:</td>
        <td style="text-align: center; font-size: 15px; background-color: #002060; color: #FFF; font-weight: bold;"><%= Double.parseDouble(jReturn.getString("contaAsis")) - (jReturn.has("contaDesc") ? Double.parseDouble(jReturn.getString("contaDesc")) : 0.00) + "0"%></td>
      </tr>            
    </table>

    <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br> 
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

  </body>
</html>
