/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package so.winwebdocentes.services;

import org.json.JSONObject;
import so.winwebdocentes.DAO.AsistenciaDAO;
import so.winwebdocentes.DAO.DAOFactory;

/**
 *
 * @author Felipe Escala
 */
public class AsistenciaService {

	DAOFactory factory = DAOFactory.getDAOFactory(DAOFactory.SQLSERVER);
	AsistenciaDAO dao = factory.getAsistenciaDAO();

	public JSONObject listarRazonSocial(JSONObject datos) {
		JSONObject obj = null;
		try {
			obj = dao.listarRazonSocial(datos);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return obj;
	}

	public JSONObject listarAsistencias(JSONObject datos) {
		JSONObject obj = null;
		try {
			obj = dao.listarAsistencias(datos);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return obj;
	}

	public JSONObject listarMontosPorPago(JSONObject datos) {
		JSONObject obj = null;
		try {
			obj = dao.listarMontosPorPago(datos);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return obj;
	}

	public JSONObject listarResumenRS(JSONObject datos) {
		JSONObject obj = null;
		try {
			obj = dao.listarResumenRS(datos);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return obj;
	}

	public JSONObject listarResumenPagos(JSONObject datos) {
		JSONObject obj = null;
		try {
			obj = dao.listarResumenPagos(datos);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return obj;
	}

	public JSONObject listarDetalleDescuento(JSONObject datos) {
		JSONObject obj = null;
		try {
			obj = dao.listarDetalleDescuento(datos);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return obj;
	}

}
