/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package so.winwebdocentes.services;

import org.json.JSONObject;
import so.winwebdocentes.DAO.DAOFactory;
import so.winwebdocentes.DAO.DocenteDAO;

/**
 *
 * @author Felipe Escala
 */
public class DocenteService {

	DAOFactory factory = DAOFactory.getDAOFactory(DAOFactory.SQLSERVER);
	DocenteDAO dao = factory.getDocenteDAO();

	public JSONObject listarDocentesSelect2(JSONObject datos) {
		JSONObject obj = null;
		try {
			obj = dao.listarDocentesSelect2(datos);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return obj;
	}

	public JSONObject listarSueldos(JSONObject datos) {
		JSONObject obj = null;
		try {
			obj = dao.listarSueldos(datos);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return obj;
	}

}
