/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package so.winwebdocentes.utilities;

import java.io.UnsupportedEncodingException;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
//import so.aulavirtual.mysqlDAO.MysqlDAOFactory;

public class GeneralMethods {

//	public static int getMaxSize(String tabla, String campo) {
//		int cant = 0;
//		Connection con = null;
//		try {
//			con = MysqlDAOFactory.obtenerConexion(GeneralVariables.nameDB);
//			DatabaseMetaData metadata = con.getMetaData();
//			ResultSet rst = metadata.getColumns(null, null, tabla, campo);
//			rst.next();
//			cant = rst.getInt("COLUMN_SIZE");
//		} catch (Exception e) {
//			e.printStackTrace();
//		} finally {
//			try {
//				if (con != null) {
//					con.close();
//				}
//			} catch (SQLException e) {
//				e.printStackTrace();
//			}
//		}
//		return cant;
//	}
	public static boolean isNullOrEmpty(String str) {
		return str == null || str.trim().length() == 0;
	}

	public static void clearSession(HttpServletRequest request, HttpServletResponse response) throws UnsupportedEncodingException {
		Cookie[] cookies = request.getCookies();
		if (cookies != null) {
			for (Cookie cookie : cookies) {
				cookie.setValue(null);
				cookie.setMaxAge(0);
				response.addCookie(cookie);
			}
		}
	}

	public static int obtenerIndex(String ruta) {
		char[] c = ruta.toCharArray();
		int salida = 0;
		for (int i = c.length - 1; i >= 0; i--) {
			String help = c[i] + "";
			if (!help.equals("/")) {
				salida = i;
			} else {
				break;
			}
		}
		return salida;
	}

	public static void validarVistaExportar(Statement st) throws SQLException {
		String groupby = "	 upper(bdpersonal.dbo.asociacion.des_asoc), \n"
			+ "	 upper(bdpersonal.dbo.asociacion.nom_asoc),\n";
		String join = "inner join bdpersonal.dbo.local_  on locales.codlocal_pla = bdpersonal.dbo.local_.codlocal\n"
			+ "inner join bdpersonal.dbo.asociacion on bdpersonal.dbo.local_.id_razon = bdpersonal.dbo.asociacion.id_asoc\n";
		String select = "upper(bdpersonal.dbo.asociacion.des_asoc) as abreviatura_asociacion,\n"
			+ "upper(bdpersonal.dbo.asociacion.nom_asoc) as nombre_asociacion,\n";
		ResultSet rs = null;
		int c = 0;
		String sql = " SELECT COUNT(TABLE_NAME) "
			+ " FROM INFORMATION_SCHEMA.Views "
			+ " WHERE TABLE_SCHEMA = 'dbo' "
			+ " AND TABLE_NAME = 'vista_exportar_todos_profesores_V2' ";
		rs = st.executeQuery(sql);
		if (rs.next()) {
			c = rs.getInt(1);
		}
		if (c != 1) {
			sql = " SELECT count(*)  "
				+ "FROM INFORMATION_SCHEMA.COLUMNS "
				+ "WHERE TABLE_NAME = 'locales'  "
				+ "AND TABLE_SCHEMA = 'dbo' "
				+ "AND COLUMN_NAME = 'codlocal_pla' ";
			rs = st.executeQuery(sql);
			if (rs.next()) {
				c = rs.getInt(1);
			}
			if (c != 1) {
				groupby = " ";
				join = " ";
				select = " 'ACESO' as abreviatura_asociacion,\n"
					+ "'ASOCIACION CIVIL EDUCATIVA SACO OLIVEROS' as nombre_asociacion, ";
			}
			sql = " CREATE VIEW dbo.vista_exportar_todos_profesores_V2 AS  select\n"
				+ "upper(profesor.apellido) as apellidos,\n"
				+ "upper(profesor.nombre) as nombres,\n"
				+ "profesor.dni as dni,\n" + select
				+ "upper(locales.deslocal) as nombre_local,\n"
				+ "sum(asistencia.canthoras) as acumulado_cantidad_minutos,\n"
				+ "case\n"
				+ " when sum(cast(asistencia.canthoras as integer) % 60) >= 60\n"
				+ " then sum(cast(cast(asistencia.canthoras as float) / cast(60 as float) as integer)) + (sum(cast(asistencia.canthoras as integer) % 60) / 60)\n"
				+ " else sum(cast(cast(asistencia.canthoras as float) / cast(60 as float) as integer))\n"
				+ "end as acumulado_horas,\n"
				+ "(sum(cast(asistencia.canthoras as integer) % 60)) % 60 as acumulado_minutos,\n"
				+ "asistencia.codsec,\n"
				+ "cast(sum(case\n"
				+ " when upper(asistencia.codsec) = 'A' and asistencia.pagado = 0 then profesor.pagoa * (asistencia.canthoras / 60)\n"
				+ " when upper(asistencia.codsec) = 'B' and asistencia.pagado = 0 then profesor.pagob * (asistencia.canthoras / 60)\n"
				+ " when upper(asistencia.codsec) = 'C' and asistencia.pagado = 0 then profesor.pagoc * (asistencia.canthoras / 60)\n"
				+ " when upper(asistencia.codsec) = 'D' and asistencia.pagado = 0 then profesor.pagod * (asistencia.canthoras / 60)\n"
				+ " when upper(asistencia.codsec) = 'E' and asistencia.pagado = 0 then profesor.pagoe * (asistencia.canthoras / 60)\n"
				+ " when upper(asistencia.codsec) = 'F' and asistencia.pagado = 0 then profesor.pagof * (asistencia.canthoras / 60)\n"
				+ " when upper(asistencia.codsec) = 'G' and asistencia.pagado = 0 then profesor.pagog * (asistencia.canthoras / 60)\n"
				+ " when upper(asistencia.codsec) = 'H' and asistencia.pagado = 0 then profesor.pagoh * (asistencia.canthoras / 60)\n"
				+ " when upper(asistencia.codsec) in ('A','B','C','D','E','F','G','H') and asistencia.pagado = 1 and asistencia.costo is not null \n"
				+ " then asistencia.costo * (asistencia.canthoras / 60)\n"
				+ "end) as numeric(8,2)) as monto_asistencia,\n"
				+ " isnull(convert(varchar(10), dbo.asistencia.fecha_asis, 103), 'VACIO') as fecha_asistencia,\n"
				+ " upper(datename(mm, dbo.asistencia.fecha_asis)) nombre_mes,\n"
				+ " month(dbo.asistencia.fecha_asis) as nro_mes\n"
				+ "--isnull(dbo.func_monto_total_descuento_todos_los_anios('PQ000029'), 0) as monto_descuento\n"
				+ "from asistencia\n"
				+ "inner join profesor on asistencia.codprofesor = profesor.codprofesor\n"
				+ "inner join locales  on asistencia.codlocal = locales.codlocal\n" + join
				+ "--where asistencia.codprofesor = 'PQ000029' --and month(asistencia.fecha_asis) = 5\n"
				+ "group by upper(profesor.apellido), \n"
				+ "	 upper(profesor.nombre), \n"
				+ "	 profesor.dni, \n" + groupby
				+ "	 upper(locales.deslocal),\n"
				+ "	 asistencia.codsec,\n"
				+ "	 isnull(convert(varchar(10), dbo.asistencia.fecha_asis, 103), 'VACIO'),\n"
				+ "	 month(dbo.asistencia.fecha_asis),\n"
				+ "	 upper(datename(mm, dbo.asistencia.fecha_asis)) ";
			st.executeUpdate(sql);
		}
	}

}
