<%-- 
    Document   : reporteAsistencias
    Created on : 27-sep-2018, 8:51:54
    Author     : Felipe Escala
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html lang="es">
  <head>
    <%@include file="templates/header.jsp" %>
    <!--template-core-->

    <!--css-->
    <link href="../css/general.css" rel="stylesheet" type="text/css"/>
    <!--css-->
  </head>
  <body>
    <%@include file="templates/header-body.jsp" %>
    <!--  content -->
    <div class="row">

      <div class="col-sm-12 col-md-12 col-md-6">                
        <div class="panel panel-primary card-3" style="margin-top: 30px"> 
          <div class="panel-heading" style="padding: 8px 15px">
            <h6 class="panel-title" style="font-size: 15px; font-family: inherit"><i class="icon icon-search4"></i>&nbsp; BÚSQUEDAS DEL DOCENTE</h6>
            <div class="heading-elements">
              <ul class="icons-list">
                <li><a data-action="collapse"></a></li>
              </ul>
            </div>
          </div>
          <div class="panel-body" id="panelSearch">
            <form id="frmBusqRequ" onsubmit="return false" autocomplete="off">
              <div class="row">
                <div class="col-md-12">
                  <div class="form-group">
                    <label><b>SELECCIONE UN DOCENTE:</b></label>
                    <select class="form-control" id="cboDocentes" name="cboDocentes">
                    </select>
                  </div>
                </div>
                <div class="col-md-3 col-sm-6">
                  <div class="form-group">
                    <label><b>FECHA:</b></label>
                    <select class="form-control" id="cboAnio" name="cboAnio">
                    </select>
                  </div>
                </div>
                <div class="col-md-3 col-sm-6">
                  <div class="form-group">
                    <label>&nbsp;</label>
                    <select class="form-control" id="cboMes" name="cboMes">
                    </select>
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label><b>RAZÓN SOCIAL:</b></label>
                    <select class="form-control" id="cboRazon" name="cboRazon">
                    </select>
                  </div>
                </div>
                <div class="col-md-12">
                  <div class="form-group">
                    <div class="text-right"> 
                      <span class="text-danger">(*) </span>  Campo obligatorio
                    </div>
                  </div>
                </div>
                <div class="col-md-12">
                  <div class="text-right">
                    <button class="btn bg-primary border-primary-600 btn-xs" type="button" id="btnBuscar"><i class="fa fa-search"></i> &nbsp;BUSCAR</button>
                    <button class="btn bg-orange border-orange-600 btn-xs" type="button" id="btnLimpiar"><i class="fa fa-refresh"></i> &nbsp;LIMPIAR</button>
                  </div>
                </div>
              </div>              
            </form>
          </div>
        </div> 
      </div>

      <div class="col-sm-12 col-md-12 col-md-6">                
        <div class="panel panel-primary card-3" style="margin-top: 30px"> 
          <div class="panel-heading" style="padding: 8px 15px">
            <h6 class="panel-title" style="font-size: 15px; font-family: inherit"><i class="fa fa-tag"></i>&nbsp; DATOS DEL DOCENTE</h6>
            <div class="heading-elements">
              <ul class="icons-list">
                <li><a data-action="collapse"></a></li>
              </ul>
            </div>
          </div>
          <div class="panel-body">
            <form id="frmDatosDocente" onsubmit="return false" autocomplete="off">
              <div class="row">
                <div class="col-md-6">
                  <div class="form-group">
                    <label><b>CÓDIGO:</b></label>
                    <span class="label-left border-left-primary label-striped form-control" id="lblCodigo"></span>
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label><b>TIPO DE PLANILLA:</b></label>
                    <span class="label-left border-left-primary label-striped form-control" id="lblPlanilla"></span>
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label><b>APELLIDOS:</b></label>
                    <span class="label-left border-left-primary label-striped form-control" id="lblApellidos"></span>
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label><b>NOMBRE(S):</b></label>
                    <span class="label-left border-left-primary label-striped form-control" id="lblNombres"></span>
                  </div>
                </div>
                <div class="col-md-12">
                  <div class="form-group">
                    <label><b>CONTRATO:</b></label>
                    <span class="label-left border-left-primary label-striped form-control" id="lblContrato"></span>
                  </div>
                </div>
                <div class="col-md-12">
                  <div class="text-center">
                    <button type="button" id="btnSueldos" class="btn bg-slate border-slate-600 btn-xs">SUELDOS</button>
                    <button type="button" id="btnPagos" class="btn bg-slate border-slate-600 btn-xs">PAGOS POR TIPO</button>
                  </div>
                </div>
              </div>              
            </form>
          </div>
        </div> 
      </div>

      <div class="col-sm-12 col-md-12 col-lg-12">
        <div class="panel panel-primary card-3" style="margin-top: 30px"> 
          <div class="panel-heading" style="padding: 8px 15px">
            <h6 class="panel-title" style="font-size: 15px; font-family: inherit"><i class="fa fa-list"></i>&nbsp; LISTADO DE ASISTENCIAS</h6>
            <div class="heading-elements">                                                                
              <button type="button" id="btnAsistenciaDescuento" class="btn bg-teal-700 border-teal-800 btn-xs"><i class="fa fa-file-excel-o"></i>&nbsp; ASISTENCIAS Y DESCUENTOS</button>
              <button type="button" id="btnAsistenciaRS" class="btn bg-indigo-700 border-indigo-800 btn-xs"><i class="fa fa-file-excel-o"></i>&nbsp; ASISTENCIAS/RAZÓN SOCIAL </button>
            </div>
          </div>
          <div class="table-responsive">
            <table class="table display dataTable table-striped table-hover table-sm table-bordered wtb" id="tblAsistencias">                                                 
              <thead>
                <tr>
                  <th class="text-center">Nº</th> 
                  <th class="text-center">CODIGO</th> 
                  <th class="text-center">INGRESO</th>
                  <th class="text-center">SALIDA</th>
                  <th class="text-center">INGRESO T</th>
                  <th class="text-center">SALIDA T</th>
                  <th class="text-center">FECHA</th>                                                       
                  <th class="text-center">SECCIÓN</th>                                                       
                  <th class="text-center">COSTO</th>    
                  <th class="text-center">HORAS</th>    
                  <th class="text-center">MONTO</th>    
                  <th class="text-center">SEDE</th>    
                  <th class="text-center">AULAS</th>    
                  <th class="text-center">TIPO</th>    
                  <th class="text-center">ESTADO</th>                       
                  <th class="text-center">OBS.</th>    
                </tr>
              </thead>
            </table>
            <div class="col-md-4 col-centered text-center"> 
              <label class="footer-text"><b>Monto Total Asistencias:</b></label>
              <label class="footer-text">&nbsp;<span id="cantidadAsistencia"></span></label>
            </div>
          </div>
        </div>
      </div>

      <div class="col-sm-12 col-md-12 col-lg-12">
        <div class="panel panel-primary card-3" style="margin-top: 30px"> 
          <div class="panel-heading" style="padding: 8px 15px">
            <h6 class="panel-title" style="font-size: 15px; font-family: inherit"><i class="fa fa-list"></i>&nbsp; LISTADO DE DESCUENTOS</h6>
            <div class="heading-elements">                                                                
              <button type="button" id="btnResumenAsistencia" class="btn bg-brown-700 border-brown-800 btn-xs"><i class="fa fa-file-text"></i>&nbsp; RESUMEN DE ASISTENCIAS</button>
            </div>
          </div>
          <div class="table-responsive">
            <table class="table display dataTable table-striped table-hover table-sm table-bordered wtb" id="tblDescuentos">                                                 
              <thead>
                <tr>
                  <th class="text-center">Nº</th> 
                  <th class="text-center">CODIGO DESCUENTO</th> 
                  <th class="text-center">CODIGO ASISTENCIA</th>
                  <th class="text-center">INGRESO</th>
                  <th class="text-center">SALIDA</th>
                  <th class="text-center">INGRESO T</th>
                  <th class="text-center">FECHA</th>                                                                 
                  <th class="text-center">MONTO</th>      
                  <th class="text-center">SEDE</th>                                                               
                  <th class="text-center">SECCIÓN</th>  
                  <th class="text-center">MOTIVO</th>                        
                  <th class="text-center">OBS.</th>    
                  <!--<th class="text-center"></th>-->    
                </tr>
              </thead>
            </table>
            <div class="col-md-4 col-centered text-center"> 
              <label class="footer-text"><b>Monto Total Descuentos:</b></label>
              <label class="footer-text">&nbsp;<span id="cantidadDescuento"></span></label>
            </div>
          </div>
        </div>
      </div>

    </div>
    <!-- / content -->
    <%@include file="templates/footer-body.jsp" %>
    <script src="../plantilla/assets/js/plugins/forms/selects/select2.min.js" type="text/javascript"></script>
    <script src="../js/pages/reporteAsistencias.js" type="text/javascript"></script>
  </body>
</html>
